메인 콘텐츠로 건너뛰기
POST
/
runway
/
feed
Poll a Runway reverse-format task
curl --request POST \
  --url https://api.cometapi.com/runway/feed \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "task_id": "3d957031-9a2a-45e2-9dc7-bc8513059c50"
}
'
{
  "code": "success",
  "message": "",
  "data": {
    "task_id": "3d957031-9a2a-45e2-9dc7-bc8513059c50",
    "action": "IMAGE_TO_VIDEO",
    "status": "QUEUED",
    "fail_reason": "",
    "submit_time": 1773366766,
    "start_time": 0,
    "finish_time": 0,
    "progress": "0%",
    "data": {
      "id": "3d957031-9a2a-45e2-9dc7-bc8513059c50",
      "status": "PENDING",
      "createdAt": "2026-03-13T09:52:46+08:00"
    }
  }
}
Runway reverse-format 작업을 생성한 뒤 이 엔드포인트를 사용하세요. /runway/pro/* 워크플로의 주요 폴링 단계입니다.

먼저 이 필드들을 확인하세요

  • 래퍼 수준 상태를 위한 바깥쪽 codemessage
  • 작업 진행 상태를 위한 data.statusdata.progress
  • 공급자 측 작업 메타데이터를 위한 중첩된 data.data
  • 작업이 완료되었을 때의 최종 에셋 필드(예: video_url, poster) 또는 관련 공급자 출력

폴링 패턴

1

먼저 reverse-format 작업을 생성하세요

Generate, Image-to-Video, Video to Video Style Redraw, 또는 Act-one Expression Migration 같은 reverse-format Runway 페이지에서 시작하세요.
2

작업이 아직 보이지 않으면 한 번 재시도하세요

새로 생성된 작업 id는 잠시 동안 task_not_exist를 반환할 수 있습니다. 이런 경우 몇 초 기다린 뒤 다시 폴링하세요.
3

작업이 종료 상태가 될 때까지 계속 폴링하세요

래퍼 상태가 queued 또는 in-progress 상태를 벗어나고, 공급자 메타데이터에 사용 가능한 출력 URL이 포함될 때까지 이 엔드포인트를 계속 확인하세요.
2026-03-13의 실시간 검증에서 새 Runway 작업 id가 짧은 지연 후 이 엔드포인트를 통해 처음 나타났고, 이후 code: successdata.status: QUEUED가 포함된 래핑된 payload를 반환하는 것이 확인되었습니다.

인증

Authorization
string
header
필수

Bearer token authentication. Use your CometAPI key.

헤더

X-Runway-Version
string

Optional Runway version header, for example 2024-11-06.

본문

application/json
task_id
string
필수

Runway task id returned by the create endpoint.

응답

200 - application/json

Current wrapper task state or not-yet-visible error.

code
string | null
필수
message
string
필수
data
object